> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/zh/chan-pin/app-sovereignty.md).

# 应用主权

App Sovereignty 使任何 Solana 应用都能启动其专属的 EVM 环境，配备自定义链 ID、自定义 gas 代币，以及流向应用本身而非共享协议的 gas 收入。

## 概览

Rome 上的每个应用都会获得一个主权 EVM 实例：

* **专属链 ID** — 您的应用就是一条独立链
* **专属 gas 代币** — 任意 SPL 代币（您的项目代币、USDC、SOL）
* **Gas 收入** — 所有交易手续费都归入您的金库
* **完整 EVM 工具链** — 您的用户使用 MetaMask 连接，您的开发者使用 Hardhat/Foundry
* **共享状态** — EVM 用户和 Solana 用户共享同一应用状态与流动性

## 工作原理

1. **通过 Sovereign Portal 接入** — 通过 [Sovereign Portal](https://sovereign.devnet.romeprotocol.xyz)
2. **Rome 搭建该链** — Rome 团队负责提供并运营该链的基础设施
3. **部署合约** — 使用 Hardhat 或 Foundry 进行标准 Solidity 部署
4. **用户连接** — 使用您的链 ID 的 MetaMask，或任意 EVM 钱包

每一条已上线的 Rome 链——包括公开参考链 [**Martius**](/zh/wang-luo/martius.md) 和 [**Hadrian**](/zh/wang-luo/hadrian.md) — 都记录在公开的 [Rome 注册表](https://github.com/rome-protocol/rome-registry) （链 ID、RPC、合约地址）中，因此主权链可通过构建者已经在使用的同一权威来源被发现。

## Gas 代币定价

自定义 gas 代币通过 Meteora DAMM 池进行定价——可配置 v1 或 v2（也支持 Pyth/Hermes 回退）。Proxy 配置指定一个 `price_manager` ，它会读取池子，以在您的 gas 代币与 SOL 之间转换，用于底层 Solana 交易费用。

```yaml
# 自定义 gas 代币的 Proxy 配置
price_manager：
  type: "meteora_damm_v1_pool"   # meteora_damm_v1_pool | meteora_damm_v2_pool | hermes_api
  pool_address: "YOUR_METEORA_POOL_ADDRESS"
```

## 用例：预测市场启动 EVM 链

```
Orra（Solana 预测市场）希望吸引 EVM 用户：
  1. Rome 为 Orra 部署主权 EVM，并使用 ORRA 代币作为 gas
  2. EVM 用户连接 MetaMask，跨链桥接 USDC，购买预测份额
  3. 在底层：rUSDC（ERC-20）→ 解包为 SPL → Orra CPI → 购买份额
  4. Orra 从每笔 EVM 交易中赚取以 ORRA 代币计价的 gas 费用
  5. 单一状态：Solana 用户和 EVM 用户看到相同的市场、相同的流动性
```

## 状态

**已上线** — 与合作伙伴共同运行的产品。

## 下一步

* [架构](/zh/ru-men/architecture.md) — Rome EVM 在底层的工作方式
* [快速入门](/zh/ru-men/quickstart.md) — 部署您的第一个合约
* [部署 Solidity](/zh/kai-fa-zhe-zhi-nan/deploy-solidity.md) — 面向 Hardhat 和 Foundry 的部署指南


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rome.builders/zh/chan-pin/app-sovereignty.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
